Bug 138806 - New port: games/avp-demo ("Aliens versus predator" demo)
New port: games/avp-demo ("Aliens versus predator" demo)
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: Rene Ladan
Depends on:
  Show dependency treegraph
Reported: 2009-09-14 08:20 UTC by stast
Modified: 2010-09-02 17:40 UTC (History)
0 users

See Also:

file.shar (4.62 KB, text/plain)
2009-09-14 08:20 UTC, stast
no flags Details
avp-demo.diff.txt (7.92 KB, text/plain)
2010-08-31 19:53 UTC, Rene Ladan
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description stast 2009-09-14 08:20:04 UTC
Source code taken from http://icculus.org/avp/, data files taken from freely available "Alien versus predator" demo.

Fix: Patch attached with submission follows:
Comment 1 Rene Ladan freebsd_committer 2010-08-30 21:58:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Comment 2 Rene Ladan freebsd_committer 2010-08-30 22:33:44 UTC
Is there a reason to use share/doc/avp-demo and share/avp-demo
explicitly in pkg-plist instead of just DOCSDIR and DATADIR ?

This would make the package more portable.
Comment 3 Rene Ladan freebsd_committer 2010-08-31 00:18:45 UTC
While trying to compile this port on my amd64 box, I encountered some
32-bit issues. The supplied Makefile with -m32 in it doesn't
work for me:

> ===>  Building for avp-demo-0.1
> gcc -m32 -g -Wall -pipe -Isrc -Isrc/include -Isrc/win95 -Isrc/avp
-Isrc/avp/win95 -Isrc/avp/support -Isrc/avp/win95/frontend
-Isrc/avp/win95/gadgets -I/usr/local/include/SDL -I/usr/local/include
-D_GNU_SOURCE=1 -D_REENTRANT -I/usr/local/include     -c -o src/main.o
> In file included from /usr/local/include/SDL/SDL_main.h:26,
>                 from /usr/local/include/SDL/SDL.h:30,
>                 from src/main.c:6:
>/usr/local/include/SDL/SDL_stdinc.h:131: error: size of array
'SDL_dummy_uint64' is negative
> /usr/local/include/SDL/SDL_stdinc.h:132: error: size of array
'SDL_dummy_sint64' is negative
> gmake: *** [src/main.o] Fout 1
> *** Error code 1
> Stop in /usr/home/rene/freebsd/ports/games/avp-demo.

Removing the -m32 flag resolves this, but then code needs to be
patched on 64-bit platforms, which might be non-trivial.

On a side note, there have been a few commits to the upstream git
repository, I can include them in a new distfile if you want.
Comment 4 Rene Ladan freebsd_committer 2010-08-31 00:18:55 UTC
State Changed
From-To: open->feedback

64-bit issues
Comment 5 Rene Ladan freebsd_committer 2010-08-31 19:53:39 UTC
The attached diff cleans up the port to respect DATADIR, DOCSDIR,
CFLAGS, CXXFLAGS, LDLIBS, and LDFLAGS, it changes the openal dependency
from audio/openal to audio/openal-soft (which is the default openal
implementation in the Ports Tree), and marks the port BROKEN for any
64-bit architecture (the code is just not suitable for it right now).

I will commit the port if this is OK
Comment 6 dfilter freebsd_committer 2010-09-02 17:30:29 UTC
rene        2010-09-02 16:30:20 UTC

  FreeBSD ports repository

  Modified files:
    games                Makefile 
  Added files:
    games/avp-demo       Makefile distinfo pkg-descr pkg-message 
    games/avp-demo/files patch-Makefile 
  Unofficial port from icculus.org of
  "Aliens versus predator" game, demo from Alien.
  WWW: http://www.icculus.org/avp/
  PR:             ports/138806
  Submitted by:   Stas Timokhin [devel stasyan.com]
                  (the email address in the PR is defunct)
  Fixes from:     Anonymous [swell.k gmail.com], myself
  Revision  Changes    Path
  1.1344    +1 -0      ports/games/Makefile
  1.1       +56 -0     ports/games/avp-demo/Makefile (new)
  1.1       +6 -0      ports/games/avp-demo/distinfo (new)
  1.1       +30 -0     ports/games/avp-demo/files/patch-Makefile (new)
  1.1       +4 -0      ports/games/avp-demo/pkg-descr (new)
  1.1       +8 -0      ports/games/avp-demo/pkg-message (new)
  1.1       +31 -0     ports/games/avp-demo/pkg-plist (new)
cvs-all@freebsd.org mailing list
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Rene Ladan freebsd_committer 2010-09-02 17:31:54 UTC
State Changed
From-To: feedback->closed

Committed, thanks